package initcmd

import (
	"github.com/spf13/cobra"
)

// 仅定义 Cmd， 注册子命令,只负责组装命令树，尽量不包含业务逻辑
var Cmd = &cobra.Command{
	Use:   "init",
	Short: "初始化集群配置",
	Long:  "初始化 SunHPC 配置文件、数据库、系统参数及相关服务",
}

func init() {
	// 注册所有子命令（通过工厂函数创建, 例如 DatabaseCmd()）
	Cmd.AddCommand(NewDatabaseCmd())
	Cmd.AddCommand(NewConfigCmd())
}
